package com.steerinfo.ems.emswaihoursumtab1org.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class EmsWAiHourSumTab1Org implements IBasePO<String> {
    /**
     * 时间，格式 YYYY-MM-DD HH24(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="时间，格式 YYYY-MM-DD HH24",required=true)
    private String clock;

    /**
     * 插入时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="插入时间",required=false)
    private Date insertTime;

    /**
     * 一洗煤生产用水总用量(wjt)(TAG1,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤生产用水总用量(wjt)",required=false)
    private Double tag1;

    /**
     * 一洗煤生产复用水总用量(wjt)(TAG2,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤生产复用水总用量(wjt)",required=false)
    private Double tag2;

    /**
     * 二洗煤消防水1总用量(wjt)(TAG3,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤消防水1总用量(wjt)",required=false)
    private Double tag3;

    /**
     * 二洗煤玉洁水总用量(wjt)(TAG4,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤玉洁水总用量(wjt)",required=false)
    private Double tag4;

    /**
     * 玉洁复用水发生量(wjt)(TAG5,FLOAT,126)
     */
    @ApiModelProperty(value="玉洁复用水发生量(wjt)",required=false)
    private Double tag5;

    /**
     * 一制氧新水使用量(wjt)(TAG6,FLOAT,126)
     */
    @ApiModelProperty(value="一制氧新水使用量(wjt)",required=false)
    private Double tag6;

    /**
     * 二制氧新水使用量(wjt)(TAG7,FLOAT,126)
     */
    @ApiModelProperty(value="二制氧新水使用量(wjt)",required=false)
    private Double tag7;

    @ApiModelProperty(value="",required=false)
    private Double tag8;

    @ApiModelProperty(value="",required=false)
    private Double tag9;

    @ApiModelProperty(value="",required=false)
    private Double tag10;

    @ApiModelProperty(value="",required=false)
    private Double tag11;

    @ApiModelProperty(value="",required=false)
    private Double tag12;

    /**
     * 一焦蓄水池1#补水新水用量(yww)(TAG13,FLOAT,126)
     */
    @ApiModelProperty(value="一焦蓄水池1#补水新水用量(yww)",required=false)
    private Double tag13;

    /**
     * 一焦蓄水池2#补水新水用量(yww)(TAG14,FLOAT,126)
     */
    @ApiModelProperty(value="一焦蓄水池2#补水新水用量(yww)",required=false)
    private Double tag14;

    /**
     * 二焦总管新水计量数累积量(yww)(TAG15,FLOAT,126)
     */
    @ApiModelProperty(value="二焦总管新水计量数累积量(yww)",required=false)
    private Double tag15;

    /**
     * 一工段北坡生活水用量累积量(yww)(TAG16,FLOAT,126)
     */
    @ApiModelProperty(value="一工段北坡生活水用量累积量(yww)",required=false)
    private Double tag16;

    /**
     * 一工段寨则生活水用量累积量(yww)(TAG17,FLOAT,126)
     */
    @ApiModelProperty(value="一工段寨则生活水用量累积量(yww)",required=false)
    private Double tag17;

    /**
     * 一工段沟门生活水用量累积量(yww)(TAG18,FLOAT,126)
     */
    @ApiModelProperty(value="一工段沟门生活水用量累积量(yww)",required=false)
    private Double tag18;

    /**
     * 一体系高炉1#高炉新水用量(yww)(TAG19,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉1#高炉新水用量(yww)",required=false)
    private Double tag19;

    /**
     * 一体系高炉软水使用量(yww)(TAG20,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉软水使用量(yww)",required=false)
    private Double tag20;

    /**
     * 一体系高炉复用水使用量(yww)(TAG21,FLOAT,126)
     */
    @ApiModelProperty(value="一体系高炉复用水使用量(yww)",required=false)
    private Double tag21;

    /**
     * 一体系烧结新水用量(yww)(TAG22,FLOAT,126)
     */
    @ApiModelProperty(value="一体系烧结新水用量(yww)",required=false)
    private Double tag22;

    /**
     * 一体系烧结复用水用量(yww)(TAG23,FLOAT,126)
     */
    @ApiModelProperty(value="一体系烧结复用水用量(yww)",required=false)
    private Double tag23;

    /**
     * 一炼铁区域总水表(yww)(TAG24,FLOAT,126)
     */
    @ApiModelProperty(value="一炼铁区域总水表(yww)",required=false)
    private Double tag24;

    /**
     * 一炼铁球团复用水使用量(yww)(TAG25,FLOAT,126)
     */
    @ApiModelProperty(value="一炼铁球团复用水使用量(yww)",required=false)
    private Double tag25;

    /**
     * 二炼铁高炉新水使用量(yww)(TAG26,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉新水使用量(yww)",required=false)
    private Double tag26;

    /**
     * 二炼铁高炉复用水使用量(yww)(TAG27,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉复用水使用量(yww)",required=false)
    private Double tag27;

    /**
     * 二炼铁烧结新水使用量(yww)(TAG28,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁烧结新水使用量(yww)",required=false)
    private Double tag28;

    /**
     * 二炼铁烧结复用水使用量(yww)(TAG29,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁烧结复用水使用量(yww)",required=false)
    private Double tag29;

    /**
     * 二炼铁球团新水使用量(yww)(TAG30,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁球团新水使用量(yww)",required=false)
    private Double tag30;

    /**
     * 二炼铁球团复用水使用量(yww)(TAG31,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁球团复用水使用量(yww)",required=false)
    private Double tag31;

    @ApiModelProperty(value="",required=false)
    private Double tag32;

    @ApiModelProperty(value="",required=false)
    private Double tag33;

    @ApiModelProperty(value="",required=false)
    private Double tag34;

    @ApiModelProperty(value="",required=false)
    private Double tag35;

    @ApiModelProperty(value="",required=false)
    private Double tag36;

    @ApiModelProperty(value="",required=false)
    private Double tag37;

    @ApiModelProperty(value="",required=false)
    private Double tag38;

    /**
     * 二轧钢四五线复水使用量(TAG39,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢四五线复水使用量",required=false)
    private Double tag39;

    @ApiModelProperty(value="",required=false)
    private Double tag40;

    @ApiModelProperty(value="",required=false)
    private Double tag41;

    @ApiModelProperty(value="",required=false)
    private Double tag42;

    /**
     * 二炼铁循环水新水补水流量(yww)(TAG43,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁循环水新水补水流量(yww)",required=false)
    private Double tag43;

    /**
     * 二炼铁2#矿槽底新水补水流量(yww)(TAG44,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁2#矿槽底新水补水流量(yww)",required=false)
    private Double tag44;

    /**
     * 二轧钢四五线新水使用量(TAG45,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢四五线新水使用量",required=false)
    private Double tag45;

    @ApiModelProperty(value="",required=false)
    private Double tag46;

    @ApiModelProperty(value="",required=false)
    private Double tag47;

    /**
     * 二焦锅炉房新水总用量(yww)(TAG48,FLOAT,126)
     */
    @ApiModelProperty(value="二焦锅炉房新水总用量(yww)",required=false)
    private Double tag48;

    /**
     * 二洗煤消防水2(wjt)(TAG49,FLOAT,126)
     */
    @ApiModelProperty(value="二洗煤消防水2(wjt)",required=false)
    private Double tag49;

    /**
     * 一洗煤横泉水1(wjt)(TAG50,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤横泉水1(wjt)",required=false)
    private Double tag50;

    /**
     * 一洗煤横泉水2(wjt)(TAG51,FLOAT,126)
     */
    @ApiModelProperty(value="一洗煤横泉水2(wjt)",required=false)
    private Double tag51;

    /**
     * 二轧钢二高线新水穿水静环流量(yzz)(TAG52,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢二高线新水穿水静环流量(yzz)",required=false)
    private Double tag52;

    /**
     * 二轧钢二高线软水浊环流量(yzz)(TAG53,FLOAT,126)
     */
    @ApiModelProperty(value="二轧钢二高线软水浊环流量(yzz)",required=false)
    private Double tag53;

    /**
     * 二制氧2万制氧水泵房新水使用量(yzz)(TAG54,FLOAT,126)
     */
    @ApiModelProperty(value="二制氧2万制氧水泵房新水使用量(yzz)",required=false)
    private Double tag54;

    /**
     * 二炼铁高炉软水补水流量(yzz)(TAG55,FLOAT,126)
     */
    @ApiModelProperty(value="二炼铁高炉软水补水流量(yzz)",required=false)
    private Double tag55;

    /**
     * 一轧钢棒材新水使用量(yzz)(TAG56,FLOAT,126)
     */
    @ApiModelProperty(value="一轧钢棒材新水使用量(yzz)",required=false)
    private Double tag56;

    /**
     * 二焦化牛茂忠生产用水新水(yzz)(TAG57,FLOAT,126)
     */
    @ApiModelProperty(value="二焦化牛茂忠生产用水新水(yzz)",required=false)
    private Double tag57;

    /**
     * 二焦生产用水（综合水泵房凉水塔）(yzz)(TAG58,FLOAT,126)
     */
    @ApiModelProperty(value="二焦生产用水（综合水泵房凉水塔）(yzz)",required=false)
    private Double tag58;

    @ApiModelProperty(value="",required=false)
    private Double tag59;

    /**
     * 八万发电厂除盐水自用量(TAG60,FLOAT,126)
     */
    @ApiModelProperty(value="八万发电厂除盐水自用量",required=false)
    private Double tag60;

    @ApiModelProperty(value="",required=false)
    private Double tag61;

    @ApiModelProperty(value="",required=false)
    private Double tag62;

    @ApiModelProperty(value="",required=false)
    private Double tag63;

    @ApiModelProperty(value="",required=false)
    private Double tag64;

    @ApiModelProperty(value="",required=false)
    private Double tag65;

    @ApiModelProperty(value="",required=false)
    private Double tag66;

    @ApiModelProperty(value="",required=false)
    private Double tag67;

    @ApiModelProperty(value="",required=false)
    private Double tag68;

    @ApiModelProperty(value="",required=false)
    private Double tag69;

    @ApiModelProperty(value="",required=false)
    private Double tag70;

    @ApiModelProperty(value="",required=false)
    private Double tag71;

    @ApiModelProperty(value="",required=false)
    private Double tag72;

    @ApiModelProperty(value="",required=false)
    private Double tag73;

    @ApiModelProperty(value="",required=false)
    private Double tag74;

    @ApiModelProperty(value="",required=false)
    private Double tag75;

    @ApiModelProperty(value="",required=false)
    private Double tag76;

    @ApiModelProperty(value="",required=false)
    private Double tag77;

    @ApiModelProperty(value="",required=false)
    private Double tag78;

    @ApiModelProperty(value="",required=false)
    private Double tag79;

    @ApiModelProperty(value="",required=false)
    private Double tag80;

    @ApiModelProperty(value="",required=false)
    private Double tag81;

    @ApiModelProperty(value="",required=false)
    private Double tag82;

    @ApiModelProperty(value="",required=false)
    private Double tag83;

    @ApiModelProperty(value="",required=false)
    private Double tag84;

    @ApiModelProperty(value="",required=false)
    private Double tag85;

    @ApiModelProperty(value="",required=false)
    private Double tag86;

    @ApiModelProperty(value="",required=false)
    private Double tag87;

    @ApiModelProperty(value="",required=false)
    private Double tag88;

    @ApiModelProperty(value="",required=false)
    private Double tag89;

    @ApiModelProperty(value="",required=false)
    private Double tag90;

    @ApiModelProperty(value="",required=false)
    private Double tag91;

    @ApiModelProperty(value="",required=false)
    private Double tag92;

    @ApiModelProperty(value="",required=false)
    private Double tag93;

    @ApiModelProperty(value="",required=false)
    private Double tag94;

    @ApiModelProperty(value="",required=false)
    private Double tag95;

    @ApiModelProperty(value="",required=false)
    private Double tag96;

    @ApiModelProperty(value="",required=false)
    private Double tag97;

    @ApiModelProperty(value="",required=false)
    private Double tag98;

    @ApiModelProperty(value="",required=false)
    private Double tag99;

    @ApiModelProperty(value="",required=false)
    private Double tag100;

    @ApiModelProperty(value="",required=false)
    private Double tag101;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.clock;
    }

    @Override
    public void setId(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public Double getTag1() {
        return tag1;
    }

    public void setTag1(Double tag1) {
        this.tag1 = tag1;
    }

    public Double getTag2() {
        return tag2;
    }

    public void setTag2(Double tag2) {
        this.tag2 = tag2;
    }

    public Double getTag3() {
        return tag3;
    }

    public void setTag3(Double tag3) {
        this.tag3 = tag3;
    }

    public Double getTag4() {
        return tag4;
    }

    public void setTag4(Double tag4) {
        this.tag4 = tag4;
    }

    public Double getTag5() {
        return tag5;
    }

    public void setTag5(Double tag5) {
        this.tag5 = tag5;
    }

    public Double getTag6() {
        return tag6;
    }

    public void setTag6(Double tag6) {
        this.tag6 = tag6;
    }

    public Double getTag7() {
        return tag7;
    }

    public void setTag7(Double tag7) {
        this.tag7 = tag7;
    }

    public Double getTag8() {
        return tag8;
    }

    public void setTag8(Double tag8) {
        this.tag8 = tag8;
    }

    public Double getTag9() {
        return tag9;
    }

    public void setTag9(Double tag9) {
        this.tag9 = tag9;
    }

    public Double getTag10() {
        return tag10;
    }

    public void setTag10(Double tag10) {
        this.tag10 = tag10;
    }

    public Double getTag11() {
        return tag11;
    }

    public void setTag11(Double tag11) {
        this.tag11 = tag11;
    }

    public Double getTag12() {
        return tag12;
    }

    public void setTag12(Double tag12) {
        this.tag12 = tag12;
    }

    public Double getTag13() {
        return tag13;
    }

    public void setTag13(Double tag13) {
        this.tag13 = tag13;
    }

    public Double getTag14() {
        return tag14;
    }

    public void setTag14(Double tag14) {
        this.tag14 = tag14;
    }

    public Double getTag15() {
        return tag15;
    }

    public void setTag15(Double tag15) {
        this.tag15 = tag15;
    }

    public Double getTag16() {
        return tag16;
    }

    public void setTag16(Double tag16) {
        this.tag16 = tag16;
    }

    public Double getTag17() {
        return tag17;
    }

    public void setTag17(Double tag17) {
        this.tag17 = tag17;
    }

    public Double getTag18() {
        return tag18;
    }

    public void setTag18(Double tag18) {
        this.tag18 = tag18;
    }

    public Double getTag19() {
        return tag19;
    }

    public void setTag19(Double tag19) {
        this.tag19 = tag19;
    }

    public Double getTag20() {
        return tag20;
    }

    public void setTag20(Double tag20) {
        this.tag20 = tag20;
    }

    public Double getTag21() {
        return tag21;
    }

    public void setTag21(Double tag21) {
        this.tag21 = tag21;
    }

    public Double getTag22() {
        return tag22;
    }

    public void setTag22(Double tag22) {
        this.tag22 = tag22;
    }

    public Double getTag23() {
        return tag23;
    }

    public void setTag23(Double tag23) {
        this.tag23 = tag23;
    }

    public Double getTag24() {
        return tag24;
    }

    public void setTag24(Double tag24) {
        this.tag24 = tag24;
    }

    public Double getTag25() {
        return tag25;
    }

    public void setTag25(Double tag25) {
        this.tag25 = tag25;
    }

    public Double getTag26() {
        return tag26;
    }

    public void setTag26(Double tag26) {
        this.tag26 = tag26;
    }

    public Double getTag27() {
        return tag27;
    }

    public void setTag27(Double tag27) {
        this.tag27 = tag27;
    }

    public Double getTag28() {
        return tag28;
    }

    public void setTag28(Double tag28) {
        this.tag28 = tag28;
    }

    public Double getTag29() {
        return tag29;
    }

    public void setTag29(Double tag29) {
        this.tag29 = tag29;
    }

    public Double getTag30() {
        return tag30;
    }

    public void setTag30(Double tag30) {
        this.tag30 = tag30;
    }

    public Double getTag31() {
        return tag31;
    }

    public void setTag31(Double tag31) {
        this.tag31 = tag31;
    }

    public Double getTag32() {
        return tag32;
    }

    public void setTag32(Double tag32) {
        this.tag32 = tag32;
    }

    public Double getTag33() {
        return tag33;
    }

    public void setTag33(Double tag33) {
        this.tag33 = tag33;
    }

    public Double getTag34() {
        return tag34;
    }

    public void setTag34(Double tag34) {
        this.tag34 = tag34;
    }

    public Double getTag35() {
        return tag35;
    }

    public void setTag35(Double tag35) {
        this.tag35 = tag35;
    }

    public Double getTag36() {
        return tag36;
    }

    public void setTag36(Double tag36) {
        this.tag36 = tag36;
    }

    public Double getTag37() {
        return tag37;
    }

    public void setTag37(Double tag37) {
        this.tag37 = tag37;
    }

    public Double getTag38() {
        return tag38;
    }

    public void setTag38(Double tag38) {
        this.tag38 = tag38;
    }

    public Double getTag39() {
        return tag39;
    }

    public void setTag39(Double tag39) {
        this.tag39 = tag39;
    }

    public Double getTag40() {
        return tag40;
    }

    public void setTag40(Double tag40) {
        this.tag40 = tag40;
    }

    public Double getTag41() {
        return tag41;
    }

    public void setTag41(Double tag41) {
        this.tag41 = tag41;
    }

    public Double getTag42() {
        return tag42;
    }

    public void setTag42(Double tag42) {
        this.tag42 = tag42;
    }

    public Double getTag43() {
        return tag43;
    }

    public void setTag43(Double tag43) {
        this.tag43 = tag43;
    }

    public Double getTag44() {
        return tag44;
    }

    public void setTag44(Double tag44) {
        this.tag44 = tag44;
    }

    public Double getTag45() {
        return tag45;
    }

    public void setTag45(Double tag45) {
        this.tag45 = tag45;
    }

    public Double getTag46() {
        return tag46;
    }

    public void setTag46(Double tag46) {
        this.tag46 = tag46;
    }

    public Double getTag47() {
        return tag47;
    }

    public void setTag47(Double tag47) {
        this.tag47 = tag47;
    }

    public Double getTag48() {
        return tag48;
    }

    public void setTag48(Double tag48) {
        this.tag48 = tag48;
    }

    public Double getTag49() {
        return tag49;
    }

    public void setTag49(Double tag49) {
        this.tag49 = tag49;
    }

    public Double getTag50() {
        return tag50;
    }

    public void setTag50(Double tag50) {
        this.tag50 = tag50;
    }

    public Double getTag51() {
        return tag51;
    }

    public void setTag51(Double tag51) {
        this.tag51 = tag51;
    }

    public Double getTag52() {
        return tag52;
    }

    public void setTag52(Double tag52) {
        this.tag52 = tag52;
    }

    public Double getTag53() {
        return tag53;
    }

    public void setTag53(Double tag53) {
        this.tag53 = tag53;
    }

    public Double getTag54() {
        return tag54;
    }

    public void setTag54(Double tag54) {
        this.tag54 = tag54;
    }

    public Double getTag55() {
        return tag55;
    }

    public void setTag55(Double tag55) {
        this.tag55 = tag55;
    }

    public Double getTag56() {
        return tag56;
    }

    public void setTag56(Double tag56) {
        this.tag56 = tag56;
    }

    public Double getTag57() {
        return tag57;
    }

    public void setTag57(Double tag57) {
        this.tag57 = tag57;
    }

    public Double getTag58() {
        return tag58;
    }

    public void setTag58(Double tag58) {
        this.tag58 = tag58;
    }

    public Double getTag59() {
        return tag59;
    }

    public void setTag59(Double tag59) {
        this.tag59 = tag59;
    }

    public Double getTag60() {
        return tag60;
    }

    public void setTag60(Double tag60) {
        this.tag60 = tag60;
    }

    public Double getTag61() {
        return tag61;
    }

    public void setTag61(Double tag61) {
        this.tag61 = tag61;
    }

    public Double getTag62() {
        return tag62;
    }

    public void setTag62(Double tag62) {
        this.tag62 = tag62;
    }

    public Double getTag63() {
        return tag63;
    }

    public void setTag63(Double tag63) {
        this.tag63 = tag63;
    }

    public Double getTag64() {
        return tag64;
    }

    public void setTag64(Double tag64) {
        this.tag64 = tag64;
    }

    public Double getTag65() {
        return tag65;
    }

    public void setTag65(Double tag65) {
        this.tag65 = tag65;
    }

    public Double getTag66() {
        return tag66;
    }

    public void setTag66(Double tag66) {
        this.tag66 = tag66;
    }

    public Double getTag67() {
        return tag67;
    }

    public void setTag67(Double tag67) {
        this.tag67 = tag67;
    }

    public Double getTag68() {
        return tag68;
    }

    public void setTag68(Double tag68) {
        this.tag68 = tag68;
    }

    public Double getTag69() {
        return tag69;
    }

    public void setTag69(Double tag69) {
        this.tag69 = tag69;
    }

    public Double getTag70() {
        return tag70;
    }

    public void setTag70(Double tag70) {
        this.tag70 = tag70;
    }

    public Double getTag71() {
        return tag71;
    }

    public void setTag71(Double tag71) {
        this.tag71 = tag71;
    }

    public Double getTag72() {
        return tag72;
    }

    public void setTag72(Double tag72) {
        this.tag72 = tag72;
    }

    public Double getTag73() {
        return tag73;
    }

    public void setTag73(Double tag73) {
        this.tag73 = tag73;
    }

    public Double getTag74() {
        return tag74;
    }

    public void setTag74(Double tag74) {
        this.tag74 = tag74;
    }

    public Double getTag75() {
        return tag75;
    }

    public void setTag75(Double tag75) {
        this.tag75 = tag75;
    }

    public Double getTag76() {
        return tag76;
    }

    public void setTag76(Double tag76) {
        this.tag76 = tag76;
    }

    public Double getTag77() {
        return tag77;
    }

    public void setTag77(Double tag77) {
        this.tag77 = tag77;
    }

    public Double getTag78() {
        return tag78;
    }

    public void setTag78(Double tag78) {
        this.tag78 = tag78;
    }

    public Double getTag79() {
        return tag79;
    }

    public void setTag79(Double tag79) {
        this.tag79 = tag79;
    }

    public Double getTag80() {
        return tag80;
    }

    public void setTag80(Double tag80) {
        this.tag80 = tag80;
    }

    public Double getTag81() {
        return tag81;
    }

    public void setTag81(Double tag81) {
        this.tag81 = tag81;
    }

    public Double getTag82() {
        return tag82;
    }

    public void setTag82(Double tag82) {
        this.tag82 = tag82;
    }

    public Double getTag83() {
        return tag83;
    }

    public void setTag83(Double tag83) {
        this.tag83 = tag83;
    }

    public Double getTag84() {
        return tag84;
    }

    public void setTag84(Double tag84) {
        this.tag84 = tag84;
    }

    public Double getTag85() {
        return tag85;
    }

    public void setTag85(Double tag85) {
        this.tag85 = tag85;
    }

    public Double getTag86() {
        return tag86;
    }

    public void setTag86(Double tag86) {
        this.tag86 = tag86;
    }

    public Double getTag87() {
        return tag87;
    }

    public void setTag87(Double tag87) {
        this.tag87 = tag87;
    }

    public Double getTag88() {
        return tag88;
    }

    public void setTag88(Double tag88) {
        this.tag88 = tag88;
    }

    public Double getTag89() {
        return tag89;
    }

    public void setTag89(Double tag89) {
        this.tag89 = tag89;
    }

    public Double getTag90() {
        return tag90;
    }

    public void setTag90(Double tag90) {
        this.tag90 = tag90;
    }

    public Double getTag91() {
        return tag91;
    }

    public void setTag91(Double tag91) {
        this.tag91 = tag91;
    }

    public Double getTag92() {
        return tag92;
    }

    public void setTag92(Double tag92) {
        this.tag92 = tag92;
    }

    public Double getTag93() {
        return tag93;
    }

    public void setTag93(Double tag93) {
        this.tag93 = tag93;
    }

    public Double getTag94() {
        return tag94;
    }

    public void setTag94(Double tag94) {
        this.tag94 = tag94;
    }

    public Double getTag95() {
        return tag95;
    }

    public void setTag95(Double tag95) {
        this.tag95 = tag95;
    }

    public Double getTag96() {
        return tag96;
    }

    public void setTag96(Double tag96) {
        this.tag96 = tag96;
    }

    public Double getTag97() {
        return tag97;
    }

    public void setTag97(Double tag97) {
        this.tag97 = tag97;
    }

    public Double getTag98() {
        return tag98;
    }

    public void setTag98(Double tag98) {
        this.tag98 = tag98;
    }

    public Double getTag99() {
        return tag99;
    }

    public void setTag99(Double tag99) {
        this.tag99 = tag99;
    }

    public Double getTag100() {
        return tag100;
    }

    public void setTag100(Double tag100) {
        this.tag100 = tag100;
    }

    public Double getTag101() {
        return tag101;
    }

    public void setTag101(Double tag101) {
        this.tag101 = tag101;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", tag1=").append(tag1);
        sb.append(", tag2=").append(tag2);
        sb.append(", tag3=").append(tag3);
        sb.append(", tag4=").append(tag4);
        sb.append(", tag5=").append(tag5);
        sb.append(", tag6=").append(tag6);
        sb.append(", tag7=").append(tag7);
        sb.append(", tag8=").append(tag8);
        sb.append(", tag9=").append(tag9);
        sb.append(", tag10=").append(tag10);
        sb.append(", tag11=").append(tag11);
        sb.append(", tag12=").append(tag12);
        sb.append(", tag13=").append(tag13);
        sb.append(", tag14=").append(tag14);
        sb.append(", tag15=").append(tag15);
        sb.append(", tag16=").append(tag16);
        sb.append(", tag17=").append(tag17);
        sb.append(", tag18=").append(tag18);
        sb.append(", tag19=").append(tag19);
        sb.append(", tag20=").append(tag20);
        sb.append(", tag21=").append(tag21);
        sb.append(", tag22=").append(tag22);
        sb.append(", tag23=").append(tag23);
        sb.append(", tag24=").append(tag24);
        sb.append(", tag25=").append(tag25);
        sb.append(", tag26=").append(tag26);
        sb.append(", tag27=").append(tag27);
        sb.append(", tag28=").append(tag28);
        sb.append(", tag29=").append(tag29);
        sb.append(", tag30=").append(tag30);
        sb.append(", tag31=").append(tag31);
        sb.append(", tag32=").append(tag32);
        sb.append(", tag33=").append(tag33);
        sb.append(", tag34=").append(tag34);
        sb.append(", tag35=").append(tag35);
        sb.append(", tag36=").append(tag36);
        sb.append(", tag37=").append(tag37);
        sb.append(", tag38=").append(tag38);
        sb.append(", tag39=").append(tag39);
        sb.append(", tag40=").append(tag40);
        sb.append(", tag41=").append(tag41);
        sb.append(", tag42=").append(tag42);
        sb.append(", tag43=").append(tag43);
        sb.append(", tag44=").append(tag44);
        sb.append(", tag45=").append(tag45);
        sb.append(", tag46=").append(tag46);
        sb.append(", tag47=").append(tag47);
        sb.append(", tag48=").append(tag48);
        sb.append(", tag49=").append(tag49);
        sb.append(", tag50=").append(tag50);
        sb.append(", tag51=").append(tag51);
        sb.append(", tag52=").append(tag52);
        sb.append(", tag53=").append(tag53);
        sb.append(", tag54=").append(tag54);
        sb.append(", tag55=").append(tag55);
        sb.append(", tag56=").append(tag56);
        sb.append(", tag57=").append(tag57);
        sb.append(", tag58=").append(tag58);
        sb.append(", tag59=").append(tag59);
        sb.append(", tag60=").append(tag60);
        sb.append(", tag61=").append(tag61);
        sb.append(", tag62=").append(tag62);
        sb.append(", tag63=").append(tag63);
        sb.append(", tag64=").append(tag64);
        sb.append(", tag65=").append(tag65);
        sb.append(", tag66=").append(tag66);
        sb.append(", tag67=").append(tag67);
        sb.append(", tag68=").append(tag68);
        sb.append(", tag69=").append(tag69);
        sb.append(", tag70=").append(tag70);
        sb.append(", tag71=").append(tag71);
        sb.append(", tag72=").append(tag72);
        sb.append(", tag73=").append(tag73);
        sb.append(", tag74=").append(tag74);
        sb.append(", tag75=").append(tag75);
        sb.append(", tag76=").append(tag76);
        sb.append(", tag77=").append(tag77);
        sb.append(", tag78=").append(tag78);
        sb.append(", tag79=").append(tag79);
        sb.append(", tag80=").append(tag80);
        sb.append(", tag81=").append(tag81);
        sb.append(", tag82=").append(tag82);
        sb.append(", tag83=").append(tag83);
        sb.append(", tag84=").append(tag84);
        sb.append(", tag85=").append(tag85);
        sb.append(", tag86=").append(tag86);
        sb.append(", tag87=").append(tag87);
        sb.append(", tag88=").append(tag88);
        sb.append(", tag89=").append(tag89);
        sb.append(", tag90=").append(tag90);
        sb.append(", tag91=").append(tag91);
        sb.append(", tag92=").append(tag92);
        sb.append(", tag93=").append(tag93);
        sb.append(", tag94=").append(tag94);
        sb.append(", tag95=").append(tag95);
        sb.append(", tag96=").append(tag96);
        sb.append(", tag97=").append(tag97);
        sb.append(", tag98=").append(tag98);
        sb.append(", tag99=").append(tag99);
        sb.append(", tag100=").append(tag100);
        sb.append(", tag101=").append(tag101);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
    
    /**
     * 更新对象属性
     * @param val 值：14732.05
     * @param tag 字段
     * @return
     */
    public void setVal(Double val, String tag) {
		if (tag.equalsIgnoreCase("tag1")) {
			this.setTag1(val);
		} else if (tag.equalsIgnoreCase("tag2")) {
			this.setTag2(val);
		} else if (tag.equalsIgnoreCase("tag3")) {
			this.setTag3(val);
		} else if (tag.equalsIgnoreCase("tag4")) {
			this.setTag4(val);
		} else if (tag.equalsIgnoreCase("tag5")) {
			this.setTag5(val);
		} else if (tag.equalsIgnoreCase("tag6")) {
			this.setTag6(val);
		} else if (tag.equalsIgnoreCase("tag7")) {
			this.setTag7(val);
		} else if (tag.equalsIgnoreCase("tag8")) {
			this.setTag8(val);
		} else if (tag.equalsIgnoreCase("tag9")) {
			this.setTag9(val);
		} else if (tag.equalsIgnoreCase("tag10")) {
			this.setTag10(val);
		} else if (tag.equalsIgnoreCase("tag11")) {
			this.setTag11(val);
		} else if (tag.equalsIgnoreCase("tag12")) {
			this.setTag12(val);
		} else if (tag.equalsIgnoreCase("tag13")) {
			this.setTag13(val);
		} else if (tag.equalsIgnoreCase("tag14")) {
			this.setTag14(val);
		} else if (tag.equalsIgnoreCase("tag15")) {
			this.setTag15(val);
		} else if (tag.equalsIgnoreCase("tag16")) {
			this.setTag16(val);
		} else if (tag.equalsIgnoreCase("tag17")) {
			this.setTag17(val);
		} else if (tag.equalsIgnoreCase("tag18")) {
			this.setTag18(val);
		} else if (tag.equalsIgnoreCase("tag19")) {
			this.setTag19(val);
		} else if (tag.equalsIgnoreCase("tag20")) {
			this.setTag20(val);
		} else if (tag.equalsIgnoreCase("tag21")) {
			this.setTag21(val);
		} else if (tag.equalsIgnoreCase("tag22")) {
			this.setTag22(val);
		} else if (tag.equalsIgnoreCase("tag23")) {
			this.setTag23(val);
		} else if (tag.equalsIgnoreCase("tag24")) {
			this.setTag24(val);
		} else if (tag.equalsIgnoreCase("tag25")) {
			this.setTag25(val);
		} else if (tag.equalsIgnoreCase("tag26")) {
			this.setTag26(val);
		} else if (tag.equalsIgnoreCase("tag27")) {
			this.setTag27(val);
		} else if (tag.equalsIgnoreCase("tag28")) {
			this.setTag28(val);
		} else if (tag.equalsIgnoreCase("tag29")) {
			this.setTag29(val);
		} else if (tag.equalsIgnoreCase("tag30")) {
			this.setTag30(val);
		} else if (tag.equalsIgnoreCase("tag31")) {
			this.setTag31(val);
		} else if (tag.equalsIgnoreCase("tag32")) {
			this.setTag32(val);
		} else if (tag.equalsIgnoreCase("tag33")) {
			this.setTag33(val);
		} else if (tag.equalsIgnoreCase("tag34")) {
			this.setTag34(val);
		} else if (tag.equalsIgnoreCase("tag35")) {
			this.setTag35(val);
		} else if (tag.equalsIgnoreCase("tag36")) {
			this.setTag36(val);
		} else if (tag.equalsIgnoreCase("tag37")) {
			this.setTag37(val);
		} else if (tag.equalsIgnoreCase("tag38")) {
			this.setTag38(val);
		} else if (tag.equalsIgnoreCase("tag39")) {
			this.setTag39(val);
		} else if (tag.equalsIgnoreCase("tag40")) {
			this.setTag40(val);
		} else if (tag.equalsIgnoreCase("tag41")) {
			this.setTag41(val);
		} else if (tag.equalsIgnoreCase("tag42")) {
			this.setTag42(val);
		} else if (tag.equalsIgnoreCase("tag43")) {
			this.setTag43(val);
		} else if (tag.equalsIgnoreCase("tag44")) {
			this.setTag44(val);
		} else if (tag.equalsIgnoreCase("tag45")) {
			this.setTag45(val);
		} else if (tag.equalsIgnoreCase("tag46")) {
			this.setTag46(val);
		} else if (tag.equalsIgnoreCase("tag47")) {
			this.setTag47(val);
		} else if (tag.equalsIgnoreCase("tag48")) {
			this.setTag48(val);
		} else if (tag.equalsIgnoreCase("tag49")) {
			this.setTag49(val);
		} else if (tag.equalsIgnoreCase("tag50")) {
			this.setTag50(val);
		} else if (tag.equalsIgnoreCase("tag51")) {
			this.setTag51(val);
		} else if (tag.equalsIgnoreCase("tag52")) {
			this.setTag52(val);
		} else if (tag.equalsIgnoreCase("tag53")) {
			this.setTag53(val);
		} else if (tag.equalsIgnoreCase("tag54")) {
			this.setTag54(val);
		} else if (tag.equalsIgnoreCase("tag55")) {
			this.setTag55(val);
		} else if (tag.equalsIgnoreCase("tag56")) {
			this.setTag56(val);
		} else if (tag.equalsIgnoreCase("tag57")) {
			this.setTag57(val);
		} else if (tag.equalsIgnoreCase("tag58")) {
			this.setTag58(val);
		} else if (tag.equalsIgnoreCase("tag59")) {
			this.setTag59(val);
		} else if (tag.equalsIgnoreCase("tag60")) {
			this.setTag60(val);
		} else if (tag.equalsIgnoreCase("tag61")) {
			this.setTag61(val);
		} else if (tag.equalsIgnoreCase("tag62")) {
			this.setTag62(val);
		} else if (tag.equalsIgnoreCase("tag63")) {
			this.setTag63(val);
		} else if (tag.equalsIgnoreCase("tag64")) {
			this.setTag64(val);
		} else if (tag.equalsIgnoreCase("tag65")) {
			this.setTag65(val);
		} else if (tag.equalsIgnoreCase("tag66")) {
			this.setTag66(val);
		} else if (tag.equalsIgnoreCase("tag67")) {
			this.setTag67(val);
		} else if (tag.equalsIgnoreCase("tag68")) {
			this.setTag68(val);
		} else if (tag.equalsIgnoreCase("tag69")) {
			this.setTag69(val);
		} else if (tag.equalsIgnoreCase("tag70")) {
			this.setTag70(val);
		} else if (tag.equalsIgnoreCase("tag71")) {
			this.setTag71(val);
		} else if (tag.equalsIgnoreCase("tag72")) {
			this.setTag72(val);
		} else if (tag.equalsIgnoreCase("tag73")) {
			this.setTag73(val);
		} else if (tag.equalsIgnoreCase("tag74")) {
			this.setTag74(val);
		} else if (tag.equalsIgnoreCase("tag75")) {
			this.setTag75(val);
		} else if (tag.equalsIgnoreCase("tag76")) {
			this.setTag76(val);
		} else if (tag.equalsIgnoreCase("tag77")) {
			this.setTag77(val);
		} else if (tag.equalsIgnoreCase("tag78")) {
			this.setTag78(val);
		} else if (tag.equalsIgnoreCase("tag79")) {
			this.setTag79(val);
		} else if (tag.equalsIgnoreCase("tag80")) {
			this.setTag80(val);
		} else if (tag.equalsIgnoreCase("tag81")) {
			this.setTag81(val);
		} else if (tag.equalsIgnoreCase("tag82")) {
			this.setTag82(val);
		} else if (tag.equalsIgnoreCase("tag83")) {
			this.setTag83(val);
		} else if (tag.equalsIgnoreCase("tag84")) {
			this.setTag84(val);
		} else if (tag.equalsIgnoreCase("tag85")) {
			this.setTag85(val);
		} else if (tag.equalsIgnoreCase("tag86")) {
			this.setTag86(val);
		} else if (tag.equalsIgnoreCase("tag87")) {
			this.setTag87(val);
		} else if (tag.equalsIgnoreCase("tag88")) {
			this.setTag88(val);
		} else if (tag.equalsIgnoreCase("tag89")) {
			this.setTag89(val);
		} else if (tag.equalsIgnoreCase("tag90")) {
			this.setTag90(val);
		} else if (tag.equalsIgnoreCase("tag91")) {
			this.setTag91(val);
		} else if (tag.equalsIgnoreCase("tag92")) {
			this.setTag92(val);
		} else if (tag.equalsIgnoreCase("tag93")) {
			this.setTag93(val);
		} else if (tag.equalsIgnoreCase("tag94")) {
			this.setTag94(val);
		} else if (tag.equalsIgnoreCase("tag95")) {
			this.setTag95(val);
		} else if (tag.equalsIgnoreCase("tag96")) {
			this.setTag96(val);
		} else if (tag.equalsIgnoreCase("tag97")) {
			this.setTag97(val);
		} else if (tag.equalsIgnoreCase("tag98")) {
			this.setTag98(val);
		} else if (tag.equalsIgnoreCase("tag99")) {
			this.setTag99(val);
		} else if (tag.equalsIgnoreCase("tag100")) {
			this.setTag100(val);
		} else if (tag.equalsIgnoreCase("tag101")) {
			this.setTag101(val);
		}
    }
    
    /**
     * 读取属性值
     * @param tag 字段
     * @return
     */
    public Double getVal(String tag) {
		if (tag.equalsIgnoreCase("tag1")) {
			return this.getTag1();
		} else if (tag.equalsIgnoreCase("tag2")) {
			return this.getTag2();
		} else if (tag.equalsIgnoreCase("tag3")) {
			return this.getTag3();
		} else if (tag.equalsIgnoreCase("tag4")) {
			return this.getTag4();
		} else if (tag.equalsIgnoreCase("tag5")) {
			return this.getTag5();
		} else if (tag.equalsIgnoreCase("tag6")) {
			return this.getTag6();
		} else if (tag.equalsIgnoreCase("tag7")) {
			return this.getTag7();
		} else if (tag.equalsIgnoreCase("tag8")) {
			return this.getTag8();
		} else if (tag.equalsIgnoreCase("tag9")) {
			return this.getTag9();
		} else if (tag.equalsIgnoreCase("tag10")) {
			return this.getTag10();
		} else if (tag.equalsIgnoreCase("tag11")) {
			return this.getTag11();
		} else if (tag.equalsIgnoreCase("tag12")) {
			return this.getTag12();
		} else if (tag.equalsIgnoreCase("tag13")) {
			return this.getTag13();
		} else if (tag.equalsIgnoreCase("tag14")) {
			return this.getTag14();
		} else if (tag.equalsIgnoreCase("tag15")) {
			return this.getTag15();
		} else if (tag.equalsIgnoreCase("tag16")) {
			return this.getTag16();
		} else if (tag.equalsIgnoreCase("tag17")) {
			return this.getTag17();
		} else if (tag.equalsIgnoreCase("tag18")) {
			return this.getTag18();
		} else if (tag.equalsIgnoreCase("tag19")) {
			return this.getTag19();
		} else if (tag.equalsIgnoreCase("tag20")) {
			return this.getTag20();
		} else if (tag.equalsIgnoreCase("tag21")) {
			return this.getTag21();
		} else if (tag.equalsIgnoreCase("tag22")) {
			return this.getTag22();
		} else if (tag.equalsIgnoreCase("tag23")) {
			return this.getTag23();
		} else if (tag.equalsIgnoreCase("tag24")) {
			return this.getTag24();
		} else if (tag.equalsIgnoreCase("tag25")) {
			return this.getTag25();
		} else if (tag.equalsIgnoreCase("tag26")) {
			return this.getTag26();
		} else if (tag.equalsIgnoreCase("tag27")) {
			return this.getTag27();
		} else if (tag.equalsIgnoreCase("tag28")) {
			return this.getTag28();
		} else if (tag.equalsIgnoreCase("tag29")) {
			return this.getTag29();
		} else if (tag.equalsIgnoreCase("tag30")) {
			return this.getTag30();
		} else if (tag.equalsIgnoreCase("tag31")) {
			return this.getTag31();
		} else if (tag.equalsIgnoreCase("tag32")) {
			return this.getTag32();
		} else if (tag.equalsIgnoreCase("tag33")) {
			return this.getTag33();
		} else if (tag.equalsIgnoreCase("tag34")) {
			return this.getTag34();
		} else if (tag.equalsIgnoreCase("tag35")) {
			return this.getTag35();
		} else if (tag.equalsIgnoreCase("tag36")) {
			return this.getTag36();
		} else if (tag.equalsIgnoreCase("tag37")) {
			return this.getTag37();
		} else if (tag.equalsIgnoreCase("tag38")) {
			return this.getTag38();
		} else if (tag.equalsIgnoreCase("tag39")) {
			return this.getTag39();
		} else if (tag.equalsIgnoreCase("tag40")) {
			return this.getTag40();
		} else if (tag.equalsIgnoreCase("tag41")) {
			return this.getTag41();
		} else if (tag.equalsIgnoreCase("tag42")) {
			return this.getTag42();
		} else if (tag.equalsIgnoreCase("tag43")) {
			return this.getTag43();
		} else if (tag.equalsIgnoreCase("tag44")) {
			return this.getTag44();
		} else if (tag.equalsIgnoreCase("tag45")) {
			return this.getTag45();
		} else if (tag.equalsIgnoreCase("tag46")) {
			return this.getTag46();
		} else if (tag.equalsIgnoreCase("tag47")) {
			return this.getTag47();
		} else if (tag.equalsIgnoreCase("tag48")) {
			return this.getTag48();
		} else if (tag.equalsIgnoreCase("tag49")) {
			return this.getTag49();
		} else if (tag.equalsIgnoreCase("tag50")) {
			return this.getTag50();
		} else if (tag.equalsIgnoreCase("tag51")) {
			return this.getTag51();
		} else if (tag.equalsIgnoreCase("tag52")) {
			return this.getTag52();
		} else if (tag.equalsIgnoreCase("tag53")) {
			return this.getTag53();
		} else if (tag.equalsIgnoreCase("tag54")) {
			return this.getTag54();
		} else if (tag.equalsIgnoreCase("tag55")) {
			return this.getTag55();
		} else if (tag.equalsIgnoreCase("tag56")) {
			return this.getTag56();
		} else if (tag.equalsIgnoreCase("tag57")) {
			return this.getTag57();
		} else if (tag.equalsIgnoreCase("tag58")) {
			return this.getTag58();
		} else if (tag.equalsIgnoreCase("tag59")) {
			return this.getTag59();
		} else if (tag.equalsIgnoreCase("tag60")) {
			return this.getTag60();
		} else if (tag.equalsIgnoreCase("tag61")) {
			return this.getTag61();
		} else if (tag.equalsIgnoreCase("tag62")) {
			return this.getTag62();
		} else if (tag.equalsIgnoreCase("tag63")) {
			return this.getTag63();
		} else if (tag.equalsIgnoreCase("tag64")) {
			return this.getTag64();
		} else if (tag.equalsIgnoreCase("tag65")) {
			return this.getTag65();
		} else if (tag.equalsIgnoreCase("tag66")) {
			return this.getTag66();
		} else if (tag.equalsIgnoreCase("tag67")) {
			return this.getTag67();
		} else if (tag.equalsIgnoreCase("tag68")) {
			return this.getTag68();
		} else if (tag.equalsIgnoreCase("tag69")) {
			return this.getTag69();
		} else if (tag.equalsIgnoreCase("tag70")) {
			return this.getTag70();
		} else if (tag.equalsIgnoreCase("tag71")) {
			return this.getTag71();
		} else if (tag.equalsIgnoreCase("tag72")) {
			return this.getTag72();
		} else if (tag.equalsIgnoreCase("tag73")) {
			return this.getTag73();
		} else if (tag.equalsIgnoreCase("tag74")) {
			return this.getTag74();
		} else if (tag.equalsIgnoreCase("tag75")) {
			return this.getTag75();
		} else if (tag.equalsIgnoreCase("tag76")) {
			return this.getTag76();
		} else if (tag.equalsIgnoreCase("tag77")) {
			return this.getTag77();
		} else if (tag.equalsIgnoreCase("tag78")) {
			return this.getTag78();
		} else if (tag.equalsIgnoreCase("tag79")) {
			return this.getTag79();
		} else if (tag.equalsIgnoreCase("tag80")) {
			return this.getTag80();
		} else if (tag.equalsIgnoreCase("tag81")) {
			return this.getTag81();
		} else if (tag.equalsIgnoreCase("tag82")) {
			return this.getTag82();
		} else if (tag.equalsIgnoreCase("tag83")) {
			return this.getTag83();
		} else if (tag.equalsIgnoreCase("tag84")) {
			return this.getTag84();
		} else if (tag.equalsIgnoreCase("tag85")) {
			return this.getTag85();
		} else if (tag.equalsIgnoreCase("tag86")) {
			return this.getTag86();
		} else if (tag.equalsIgnoreCase("tag87")) {
			return this.getTag87();
		} else if (tag.equalsIgnoreCase("tag88")) {
			return this.getTag88();
		} else if (tag.equalsIgnoreCase("tag89")) {
			return this.getTag89();
		} else if (tag.equalsIgnoreCase("tag90")) {
			return this.getTag90();
		} else if (tag.equalsIgnoreCase("tag91")) {
			return this.getTag91();
		} else if (tag.equalsIgnoreCase("tag92")) {
			return this.getTag92();
		} else if (tag.equalsIgnoreCase("tag93")) {
			return this.getTag93();
		} else if (tag.equalsIgnoreCase("tag94")) {
			return this.getTag94();
		} else if (tag.equalsIgnoreCase("tag95")) {
			return this.getTag95();
		} else if (tag.equalsIgnoreCase("tag96")) {
			return this.getTag96();
		} else if (tag.equalsIgnoreCase("tag97")) {
			return this.getTag97();
		} else if (tag.equalsIgnoreCase("tag98")) {
			return this.getTag98();
		} else if (tag.equalsIgnoreCase("tag99")) {
			return this.getTag99();
		} else if (tag.equalsIgnoreCase("tag100")) {
			return this.getTag100();
		} else if (tag.equalsIgnoreCase("tag101")) {
			return this.getTag101();
		} else {
			return null;
		}
    }
}